com.io7m.smfj.format.binary.v1

## Class SMFBv1AttributeByteBuffered

- java.lang.Object
- - com.io7m.smfj.format.binary.v1.SMFBv1AttributeByteBuffered

- All Implemented Interfaces:
    com.io7m.jpra.runtime.java.JPRAValueType, SMFBv1AttributeReadableType, SMFBv1AttributeType, SMFBv1AttributeWritableType

      public final class SMFBv1AttributeByteBuffered
      extends Object
      implements SMFBv1AttributeType

  A `ByteBuffer` based implementation of the `SMFBv1Attribute` record type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getComponentCount()`
    `int` | `getComponentKind()`
    `int` | `getComponentSize()`
    `com.io7m.jpra.runtime.java.JPRAStringCursorReadableType` | `getNameReadable()`
    `com.io7m.jpra.runtime.java.JPRAStringCursorType` | `getNameWritable()`
    `int` | `metaComponentCountOffsetFromCursor()`
    `int` | `metaComponentCountOffsetFromType()`
    `static int` | `metaComponentCountStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaComponentCountType()`
    `int` | `metaComponentKindOffsetFromCursor()`
    `int` | `metaComponentKindOffsetFromType()`
    `static int` | `metaComponentKindStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaComponentKindType()`
    `int` | `metaComponentSizeOffsetFromCursor()`
    `int` | `metaComponentSizeOffsetFromType()`
    `static int` | `metaComponentSizeStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaComponentSizeType()`
    `int` | `metaNameOffsetFromCursor()`
    `int` | `metaNameOffsetFromType()`
    `static int` | `metaNameStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAString` | `metaNameType()`
    `static SMFBv1AttributeType` | `newValue(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)` Construct a view of a type.
    `static SMFBv1AttributeType` | `newValueWithOffset(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer, int in_base_offset)` Construct a view of a type.
    `void` | `setComponentCount(int x)` Set the value of the `component_count` field
    `void` | `setComponentKind(int x)` Set the value of the `component_kind` field
    `void` | `setComponentSize(int x)` Set the value of the `component_size` field
    `static int` | `sizeInOctets()`
    `int` | `sizeOctets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValueWithOffset

          public static SMFBv1AttributeType newValueWithOffset(ByteBuffer in_buffer,
                                                               com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer,
                                                               int in_base_offset)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
        `in_base_offset` - The base offset from the cursor
      Returns:
        A view of a type

    - #### newValue

          public static SMFBv1AttributeType newValue(ByteBuffer in_buffer,
                                                     com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
      Returns:
        A view of a type

    - #### sizeOctets

          public int sizeOctets()

      Specified by:
        `sizeOctets` in interface `com.io7m.jpra.runtime.java.JPRAValueType`

    - #### sizeInOctets

          public static int sizeInOctets()

      Returns:
        The size of the type in octets

    - #### metaNameOffsetFromType

          public int metaNameOffsetFromType()

      Specified by:
        `metaNameOffsetFromType` in interface `SMFBv1AttributeReadableType`
      Returns:
        The offset in octets of the `name` field, from the start of the type

    - #### metaNameStaticOffsetFromType

          public static int metaNameStaticOffsetFromType()

      Returns:
        The offset in octets of field `name` from the start of the type

    - #### metaNameOffsetFromCursor

          public int metaNameOffsetFromCursor()

      Specified by:
        `metaNameOffsetFromCursor` in interface `SMFBv1AttributeReadableType`
      Returns:
        The offset in octets of the `name` field, from the cursor

    - #### metaNameType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAString metaNameType()

      Specified by:
        `metaNameType` in interface `SMFBv1AttributeReadableType`
      Returns:
        The type of the `name` field

    - #### getNameReadable

          public com.io7m.jpra.runtime.java.JPRAStringCursorReadableType getNameReadable()

      Specified by:
        `getNameReadable` in interface `SMFBv1AttributeReadableType`
      Returns:
        Read-only access to the `name` field

    - #### getNameWritable

          public com.io7m.jpra.runtime.java.JPRAStringCursorType getNameWritable()

      Specified by:
        `getNameWritable` in interface `SMFBv1AttributeWritableType`
      Returns:
        Writable access to the `name` field

    - #### metaComponentKindOffsetFromType

          public int metaComponentKindOffsetFromType()

      Specified by:
        `metaComponentKindOffsetFromType` in interface `SMFBv1AttributeReadableType`
      Returns:
        The offset in octets of the `component_kind` field, from the start of the type

    - #### metaComponentKindStaticOffsetFromType

          public static int metaComponentKindStaticOffsetFromType()

      Returns:
        The offset in octets of field `component_kind` from the start of the type

    - #### metaComponentKindOffsetFromCursor

          public int metaComponentKindOffsetFromCursor()

      Specified by:
        `metaComponentKindOffsetFromCursor` in interface `SMFBv1AttributeReadableType`
      Returns:
        The offset in octets of the `component_kind` field, from the cursor

    - #### metaComponentKindType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaComponentKindType()

      Specified by:
        `metaComponentKindType` in interface `SMFBv1AttributeReadableType`
      Returns:
        The type of the `component_kind` field

    - #### getComponentKind

          public int getComponentKind()

      Specified by:
        `getComponentKind` in interface `SMFBv1AttributeReadableType`
      Returns:
        The value of the `component_kind` field

    - #### setComponentKind

          public void setComponentKind(int x)

      Description copied from interface: `SMFBv1AttributeWritableType`
      Set the value of the `component_kind` field
      Specified by:
        `setComponentKind` in interface `SMFBv1AttributeWritableType`
      Parameters:
        `x` - The new value

    - #### metaComponentCountOffsetFromType

          public int metaComponentCountOffsetFromType()

      Specified by:
        `metaComponentCountOffsetFromType` in interface `SMFBv1AttributeReadableType`
      Returns:
        The offset in octets of the `component_count` field, from the start of the type

    - #### metaComponentCountStaticOffsetFromType

          public static int metaComponentCountStaticOffsetFromType()

      Returns:
        The offset in octets of field `component_count` from the start of the type

    - #### metaComponentCountOffsetFromCursor

          public int metaComponentCountOffsetFromCursor()

      Specified by:
        `metaComponentCountOffsetFromCursor` in interface `SMFBv1AttributeReadableType`
      Returns:
        The offset in octets of the `component_count` field, from the cursor

    - #### metaComponentCountType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaComponentCountType()

      Specified by:
        `metaComponentCountType` in interface `SMFBv1AttributeReadableType`
      Returns:
        The type of the `component_count` field

    - #### getComponentCount

          public int getComponentCount()

      Specified by:
        `getComponentCount` in interface `SMFBv1AttributeReadableType`
      Returns:
        The value of the `component_count` field

    - #### setComponentCount

          public void setComponentCount(int x)

      Description copied from interface: `SMFBv1AttributeWritableType`
      Set the value of the `component_count` field
      Specified by:
        `setComponentCount` in interface `SMFBv1AttributeWritableType`
      Parameters:
        `x` - The new value

    - #### metaComponentSizeOffsetFromType

          public int metaComponentSizeOffsetFromType()

      Specified by:
        `metaComponentSizeOffsetFromType` in interface `SMFBv1AttributeReadableType`
      Returns:
        The offset in octets of the `component_size` field, from the start of the type

    - #### metaComponentSizeStaticOffsetFromType

          public static int metaComponentSizeStaticOffsetFromType()

      Returns:
        The offset in octets of field `component_size` from the start of the type

    - #### metaComponentSizeOffsetFromCursor

          public int metaComponentSizeOffsetFromCursor()

      Specified by:
        `metaComponentSizeOffsetFromCursor` in interface `SMFBv1AttributeReadableType`
      Returns:
        The offset in octets of the `component_size` field, from the cursor

    - #### metaComponentSizeType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaComponentSizeType()

      Specified by:
        `metaComponentSizeType` in interface `SMFBv1AttributeReadableType`
      Returns:
        The type of the `component_size` field

    - #### getComponentSize

          public int getComponentSize()

      Specified by:
        `getComponentSize` in interface `SMFBv1AttributeReadableType`
      Returns:
        The value of the `component_size` field

    - #### setComponentSize

          public void setComponentSize(int x)

      Description copied from interface: `SMFBv1AttributeWritableType`
      Set the value of the `component_size` field
      Specified by:
        `setComponentSize` in interface `SMFBv1AttributeWritableType`
      Parameters:
        `x` - The new value

Copyright © 2017 <code@io7m.com> http://io7m.com